{% import 'AppBundle:Macros:macros.html.twig' as this %}

    <div class="row">
        <ul class="timeline timeline-home">
            {% if is_granted('ADD_EVENT', app.user) %}
                <li class="timeline-inverted">
                    <div class="timeline-badge primary"><i class="fa fa-plus"></i></div>
                    <div class="timeline-panel" style="cursor: pointer;">
                        <a href="#" actionUrl="{{ path('event_add', { 'member_id':app.user.id }) }}"
                           class="modal-form btn btn-primary"><i class="fa fa-plus"></i>&nbsp;&nbsp;Ajouter un événement</a>
                    </div>
                </li>
            {% endif %}

            {#{% if events is defined and events.nbResults is defined and events.nbResults %}#}
            {% for event in events %}
                {% if is_granted('VIEW_EVENT', event) or event.date %}
                    <li class="timeline-inverted">
                        {% if event.poll and not event.date %}
                            <div class="timeline-badge primary"><i class="fa fa-question-circle"></i></div>
                        {% elseif event.past %}
                            <div class="timeline-badge success"><i class="fa fa-check-square-o"></i></div>
                        {% else %}
                            <div class="timeline-badge"><i class="fa fa-square-o"></i></div>
                        {% endif %}
                        <div id="eventsList" class="timeline-panel hidden-xs hidden-sm" data-link="{{ url('event_view', {id: event.id}) }}"
                             style="cursor: pointer;">
                            {% include 'AppBundle:Event:timelineElement.html.twig' %}
                        </div>
                        <div id="events" class="citizenPanelClick timeline-panel hidden-md hidden-lg" data-link="{{ url('event_view', {id: event.id}) }}"
                             style="cursor: pointer;">
                            {% include 'AppBundle:Event:timelineElement.html.twig' %}
                        </div>
                    </li>
                {% endif %}
            {% else %}
                <li class="timeline-inverted">
                    <div class="timeline-badge primary">:(</div>
                    <div class="timeline-panel" style="cursor: pointer;">
                        Aucun événement prévu...
                    </div>
                </li>
            {% endfor %}
            {#{% endif %}#}
        </ul>
    </div>


